Package org.eclipse.remote.core

# Interface IRemoteProcessTerminalService

All Superinterfaces:
  `IRemoteProcess.Service`

public interface IRemoteProcessTerminalService extends IRemoteProcess.Service
A service abstraction for remote terminals.

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteProcess.Service

`IRemoteProcess.Service.Factory`

## Method Summary

Modifier and Type
Method
Description
`void`
`setTerminalSize(int cols, int rows, int width, int height)`
Change the terminal window dimension interactively.

### Methods inherited from interface org.eclipse.remote.core.IRemoteProcess.Service

`getRemoteProcess`

## Method Details

### setTerminalSize

void setTerminalSize(int cols, int rows, int width, int height)
Change the terminal window dimension interactively. Refer to RFC 4254 6.7. Window Dimension Change Message. The character/row dimensions override the pixel dimensions (when nonzero). Pixel dimensions refer to the drawable area of the window.

Parameters:
  `cols` - terminal width in characters
  `rows` - terminal height in characters
  `width` - terminal width in pixels
  `height` - terminal height in pixels